#ifndef DEVICE_DEBUG_AGENT_H__
#define DEVICE_DEBUG_AGENT_H__

#include <netinet/in.h>
#include <cJSON.h>

void stream_debug_handle_mode_query(int sock, const struct sockaddr_in *addr);
void stream_debug_handle_url_update(int sock, const struct sockaddr_in *addr, cJSON *root);
void stream_debug_handle_url_query(int sock, const struct sockaddr_in *addr);

#endif
